Skip to content

Get providers

GET
/v3/providers
curl --request GET \
--url 'https://example.com/v3/providers?order_by=id&sort_order=asc&iso=US&countries_id=1&bbox=-77.1200%2C38.7916%2C-76.9094%2C38.9955&coordinates=38.907%2C-77.037&radius=1000&limit=100&page=1' \
--header 'X-API-Key: <X-API-Key>'

Provides a list of providers

order_by
Any of:
ProvidersSortFields
string
Allowed values: id

The field by which to order results

sort_order
Any of:
SortOrder
string
Allowed values: asc desc

Sort results ascending or descending. Default ASC

parameters_id
Any of:
Array<integer>
monitor
Any of:
boolean

Is the location considered a reference monitor?

iso
Any of:
string

Limit the results to a specific country using ISO 3166-1 alpha-2 code

countries_id
Any of:
Array<integer>

Limit the results to a specific country or countries by country ID as a single country ID or a comma delimited list of IDs

bbox
Any of:
string

Geospatial bounding box of Min X, min Y, max X, max Y in WGS 84 coordinates. Up to 4 decimal points of precision, addtional decimal precision will be truncated to 4 decimal points precision e.g. -77.037,38.907,-77.0,39.910

coordinates
Any of:
string

WGS 84 Coordinate pair in form latitude,longitude. Supports up to 4 decimal points of precision, additional decimal precision will be truncated in the query e.g. 38.9074,-77.0373

radius
Any of:
integer
> 0 <= 25000

Search radius from coordinates as center in meters. Maximum of 25,000 (25km) defaults to 1000 (1km) e.g. radius=1000

limit
Limit

Change the number of results returned. e.g. limit=100 will return up to 100 results

integer
default: 100

Change the number of results returned. e.g. limit=100 will return up to 100 results

page
Page

Paginate through results. e.g. page=1 will return first page of results

integer
default: 1

Paginate through results. e.g. page=1 will return first page of results

Successful Response

Media type application/json
ProvidersResponse
object
meta
Meta
object
name
Name
string
default: openaq-api
website
Website
string
default: /
page
Page
integer
default: 1
limit
Limit
integer
default: 100
found
Any of:
integer
results
required
Results
Array<object>
Provider
object
id
required
Id
integer
name
required
Name
string
sourceName
required
Sourcename
string
exportPrefix
required
Exportprefix
string
datetimeAdded
required
Datetimeadded
string format: date-time
datetimeFirst
required
Datetimefirst
string format: date-time
datetimeLast
required
Datetimelast
string format: date-time
entitiesId
required
Entitiesid
integer
parameters
required
Parameters
Array<object>
ParameterBase
object
id
required
Id
integer
name
required
Name
string
units
required
Units
string
displayName
Any of:
string
bbox
Any of:
GeoJSON
object
type
required
Type
string
coordinates
Coordinates
Array
default:
Example
{
"meta": {
"name": "openaq-api",
"website": "/",
"page": 1,
"limit": 100
},
"results": [
{
"bbox": {
"coordinates": []
}
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}